package org.springblade.datasource.transform.general;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springblade.datasource.transform.ColumnEnum;

/**
 * @author 喜欢番茄火锅
 * @date 2023/8/18 17:41
 */
@Getter
@AllArgsConstructor
public enum GeneralEnum {
    STRING(ColumnEnum.STRING),

    BOOLEAN(ColumnEnum.BOOL),

    INT(ColumnEnum.INTEGER),

    TINYINT(ColumnEnum.INTEGER),

    SMALLINT(ColumnEnum.INTEGER),

    BIGINT(ColumnEnum.LONG),

    DATE(ColumnEnum.DATE),

    TIME(ColumnEnum.DATE),

    TIMESTAMP(ColumnEnum.DATE),

    DOUBLE(ColumnEnum.DOUBLE),

    FLOAT(ColumnEnum.FLOAT),

    DECIMAL(ColumnEnum.DECIMAL);

    @EnumValue
    private ColumnEnum columnEnum;


}
